Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jersey.core.spi.component
Class ProviderServices

    java.lang.Object
      com.sun.jersey.core.spi.component.ProviderServices

    public class ProviderServices

extends java.lang.Object

Combines access to provider instances given a set of provider classes, a set of provider instances and providers registered in META-INF/services.

Author:
  Paul.Sandoz@Sun.Com

Constructor Summary
`ProviderServices(InjectableProviderFactory injectableFactory, ProviderFactory componentProviderFactory, java.util.Set<java.lang.Class<?>> providers, java.util.Set<?> providerInstances)` Create the provider services.

Method Summary
`ProviderFactory` | `getComponentProviderFactory()`
`
`<T> java.util.List<T>`
` | `getInstances(java.lang.Class<T> provider, java.lang.String[] classNames)`
`
`<T> java.util.Set<T>`
` | `getProviders(java.lang.Class<T> provider)`
`
`<T> java.util.Set<T>`
` | `getProvidersAndServices(java.lang.Class<T> provider)`
`
`<T> java.util.Set<T>`
` | `getServices(java.lang.Class<T> provider)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProviderServices

    public ProviderServices(InjectableProviderFactory injectableFactory,
                            ProviderFactory componentProviderFactory,
                            java.util.Set<java.lang.Class<?>> providers,
                            java.util.Set<?> providerInstances)

  Create the provider services.

  Parameters:
    `injectableFactory` -
    `componentProviderFactory` -
    `providers` -
    `providerInstances` -

Method Detail

### getComponentProviderFactory

    public ProviderFactory getComponentProviderFactory()

### getProviders

    public <T> java.util.Set<T> getProviders(java.lang.Class<T> provider)

### getServices

    public <T> java.util.Set<T> getServices(java.lang.Class<T> provider)

### getProvidersAndServices

    public <T> java.util.Set<T> getProvidersAndServices(java.lang.Class<T> provider)

### getInstances

    public <T> java.util.List<T> getInstances(java.lang.Class<T> provider,
                                              java.lang.String[] classNames)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.